Solid Edge How to set "Title" value to part file using SE API?

2023-08-28T02:43:56Z
SE_BETA SE_TSS DOC_MANAGEMENT FLOEFD 3D-SKETCH SIMULATION Teamcenter Share TECH_PUB ASSEMBLY APPLICATION PART/SHEETMETAL TRANSLATORS DRAFT SETUP Solid Edge Marketing

Summary


Details

How to set "Title" value to part file using SE API?

Solution

User can set value with help of below code,

Dim application As SolidEdgeFramework.Application = Nothing

Dim objPropertySets As SolidEdgeFramework.PropertySets = Nothing

Dim objProperties As SolidEdgeFramework.Properties = Nothing

Dim objProperty As SolidEdgeFramework.Property = Nothing

Dim objSEDoc As SolidEdgeFramework.SolidEdgeDocument = Nothing

Try

application = DirectCast(Marshal.GetActiveObject("solidedge.application"), SolidEdgeFramework.Application)

objSEDoc = application.ActiveDocument

objPropertySets = objSEDoc.Properties

objProperties = objPropertySets.Item("SummaryInformation")

objProperty = objProperties.Item(1)

objProperty.Value = "PLMS"

objProperties.Save()

objPropertySets.Save()

Catch ex As System.Exception

Console.WriteLine(ex)

Finally

Console.WriteLine("plms")

End Try

KB Article ID# PL8736942

Contents

SummaryDetails

Associated Components

SE_BETA